/**注册组件绑定关系。本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;

namespace NBF
{
    public static class Common2Binder
    {
        [UIExtensionAutoBind]
        public static void BindAll()
        {
            UIObjectFactory.SetPackageItemExtension(SelectPages.URL, typeof(SelectPages));
            UIObjectFactory.SetPackageItemExtension(BottomMenu.URL, typeof(BottomMenu));
            UIObjectFactory.SetPackageItemExtension(CommonInput.URL, typeof(CommonInput));
            UIObjectFactory.SetPackageItemExtension(ClassifyList.URL, typeof(ClassifyList));
            UIObjectFactory.SetPackageItemExtension(CommonMenu.URL, typeof(CommonMenu));
            UIObjectFactory.SetPackageItemExtension(MarqueeTag.URL, typeof(MarqueeTag));
            UIObjectFactory.SetPackageItemExtension(BtnTextInputControl.URL, typeof(BtnTextInputControl));
            UIObjectFactory.SetPackageItemExtension(CommonItemList.URL, typeof(CommonItemList));
            UIObjectFactory.SetPackageItemExtension(BtnTitleInputControl.URL, typeof(BtnTitleInputControl));
            UIObjectFactory.SetPackageItemExtension(NoticeItem.URL, typeof(NoticeItem));
            UIObjectFactory.SetPackageItemExtension(CommonSubMenu.URL, typeof(CommonSubMenu));
            UIObjectFactory.SetPackageItemExtension(BtnInputControl.URL, typeof(BtnInputControl));
            UIObjectFactory.SetPackageItemExtension(ListTitleItem.URL, typeof(ListTitleItem));
            UIObjectFactory.SetPackageItemExtension(ModelViewer.URL, typeof(ModelViewer));
        }
    }
}